Loading...
Searching...
No Matches
Magick::DrawableStrokeOpacity Class Reference
Inheritance diagram for Magick::DrawableStrokeOpacity:

## Public Member Functions

| DrawableStrokeOpacity (double opacity_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | opacity (double opacity_)
double | opacity (void) const

## Private Attributes

double | _opacity

## Detailed Description

Definition at line 1941 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeOpacity()

Magick::DrawableStrokeOpacity::DrawableStrokeOpacity | ( | double | opacity_ | ) |

inline

Definition at line 1945 of file Drawable.h.

: _opacity(opacity_)
{
}

## ~DrawableStrokeOpacity()

Magick::DrawableStrokeOpacity::~DrawableStrokeOpacity | ( | void |  | ) |

Definition at line 1410 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeOpacity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1420 of file Drawable.cpp.

{
return new DrawableStrokeOpacity(*this);
}

## opacity() [1/2]

void Magick::DrawableStrokeOpacity::opacity | ( | double | opacity_ | ) |

inline

Definition at line 1958 of file Drawable.h.

{
_opacity=opacity_;
}

## opacity() [2/2]

double Magick::DrawableStrokeOpacity::opacity | ( | void |  | ) | const

inline

Definition at line 1963 of file Drawable.h.

{
return(_opacity);
}

## operator()()

void Magick::DrawableStrokeOpacity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1414 of file Drawable.cpp.

{
DrawSetStrokeOpacity(context_,_opacity);
}

## Field Documentation

## _opacity

double Magick::DrawableStrokeOpacity::_opacity

private

Definition at line 1969 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp